imagegd2
imagegif
GD and Image Functions
PHP Manual

# imagegd

Output GD image to browser or file

### Description

bool imagegd ( resource `$image` [, string `$filename` ] )

Outputs a GD image to the given `filename`.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor.

`filename`

  The path to save the file to. If not set or `NULL`, the raw image stream will be outputted directly.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Outputting a GD image

`<?php
// Create a blank image and add some text
$im = imagecreatetruecolor(120, 20);
$text_color = imagecolorallocate($im, 233, 14, 91);
imagestring($im, 1, 5, 5, "A Simple Text String", $text_color);
// Output the image
imagegd($im);
// Free up memory
imagedestroy($im);
?>`

Example #2 Saving a GD image

`<?php
// Create a blank image and add some text
$im = imagecreatetruecolor(120, 20);
$text_color = imagecolorallocate($im, 233, 14, 91);
imagestring($im, 1, 5, 5, "A Simple Text String", $text_color);
// Save the gd image
// The file format for GD images is .gd, see http://www.libgd.org/GdFileFormats
imagegd($im, 'simple.gd');
// Free up memory
imagedestroy($im);
?>`

### Notes

> Note:

> The GD format is commonly used to allow fast loading of parts of images. Note that the GD format is only usable in GD-compatible applications.

### See Also

- imagegd2